spring-boot-plus:
  # 是否启用ansi控制台输出有颜色的字体，local环境建议开启，服务器环境设置为false
  enable-ansi: false
  # 当前环境服务IP地址
  server-ip:
  # 生产环境禁用Swagger
  swagger:
    enable: true
  # AOP配置
  aop:
    log:
      enable: true
      log-print-type: NONE
      request-log-format: false
      response-log-format: false


spring:

  # upay
  #  datasource:
  #    url: jdbc:mysql://172.31.38.183:3306/wecloud_im?serverTimezone=UTC&useUnicode=true&characterEncoding=utf8&useSSL=false&allowPublicKeyRetrieval=true
  #    username: web
  #    password: 74DXJwJE7wYehHr5VFJbc2w8
  #  # Redis配置
  #  redis:
  #    database: 0
  #    host: 172.31.38.183
  #    password: qZ8yzTz8chSZE1ZbbRbK
  #    port: 6379

  #  飞蛙
  datasource:
    url: jdbc:mysql://127.0.0.1:3306/wecloud_im?serverTimezone=UTC&useUnicode=true&characterEncoding=utf8&useSSL=false&allowPublicKeyRetrieval=true
    username: web
    password: axT8knPN5hAP
  redis:
    database: 0
    host: 127.0.0.1
    password: JH86uc53r8Ca
    port: 6379

  cloud:
    nacos:
      discovery:
        server-addr: localhost:8848
# knife4j配置
knife4j:
  enable: ${spring-boot-plus.swagger.enable}
  basic:
    enable: true
    username: 321wecloudAdmin123
    password: hj12ad2f123H22skd3123sk2h


#  服务器负载均衡配置
load-blance:
  # 服务器运营商local,aws,huawei
  server-type: aws
